#pragma once

#include <vector>
#include <string>
#include <sstream>
#include <numeric>
#include <filesystem>

std::vector<std::string> string_split(const std::string& s, char delim);

std::string string_build(const std::vector<std::string> &list, const std::string& delim = " ");

std::string read_file(const std::filesystem::path& file_path);