/// CaveGame - A procedural 2D platformer sandbox.
/// Created by Josh O'Leary @ Redacted Software, 2020-2025
/// Contact: josh@redacted.cc
/// Contributors: william@redacted.cc maxi@redacted.cc
/// This work is dedicated to the public domain.

/// @file StatsWindow.hpp
/// @desc Window that displays debugging stats.
/// @edit 1/28/2025
/// @auth Josh O'Leary


#pragma once

#include <JUI/Widgets/Window.hpp>
#include <JUI/Widgets/ListLayout.hpp>
#include <JUI/Widgets/TextRect.hpp>

namespace CaveGame::Client {
    using namespace JUI;

    class StatsWindow : public JUI::Window
    {
    public:
        void AddLine(const std::string& info)
        { }
    protected:
    private:
    };


}