#pragma once
#include <Core/PhysicsEntity.hpp>

namespace CaveGame::Core
{
    class Humanoid : public PhysicsEntity {
    public:

        explicit Humanoid(const Vector2& spawnPoint);

        virtual int BaseDefense() const { return 0; }
        virtual int ArmorDefense() const { return 0; }
        virtual int DefenseModifier() const { return 0;}
        int Defense() const { return 0; }

        void Update(float elapsed) override;
        void PhysicsUpdate(float elapsed) override;

    protected:
    };

    class Zombie : public Humanoid {
    public:
    protected:
    };
}
